/************************************************************************
 * A modified version of the region finder that uses ROS services.
 * A service to return a set of valid regions. The query takes a
 * list of region ids and returns the regions. If the query is
 * empty then all valid regions are returned.
 ************************************************************************/

#include <iostream>
#include <ros/ros.h>
#include "regionmapper_serv.h"

int main(int argc, char** argv)
{
  try
  {

    ros::init(argc, argv, "region_finder_serv");

    RegionMapperServ rm;
    ros::spin();
    return (0);
  }
  catch (const boost::exception& e)
  {
    std::cerr << diagnostic_information(e) << std::endl;
  }
  catch (const std::exception& e)
  {
    std::cerr << e.what() << std::endl;
  }
  catch (...)
  {
    std  ::cerr << "Caught unknown exception. Shuting down." << std::endl;
  }
}
